.col-1, .col-2, .col-3, .col-4, .col-5, .col-6, .col-7, .col-8, .col-9, .col-10, .col-11, .col-12, .col, .col-auto, .col-sm-1, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-10, .col-sm-11, .col-sm-12, .col-sm, .col-sm-auto, .col-md-1, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-md-10, .col-md-11, .col-md-12, .col-md, .col-md-auto, .col-lg-1, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg, .col-lg-auto, .col-xl-1, .col-xl-2, .col-xl-3, .col-xl-4, .col-xl-5, .col-xl-6, .col-xl-7, .col-xl-8, .col-xl-9, .col-xl-10, .col-xl-11, .col-xl-12, .col-xl, .col-xl-auto {
    padding-right: 10px !important;
    padding-left: 10px !important;
}

.login-page {
    background-image: url('../../image/bg-login.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    /* background-position: center;  */
    min-height: 100vh !important;
}

.login-box, .register-box {
    width: 425px;
}

.login-client {
    text-align: center;
    padding: 30px 10px 30px 30px !important;
}

.login-client img {
    width: 50%;
}

.card-login {
    padding:10px 25px;
    /* background: rgba(255, 255, 255, 0.7); */
}

.login-card-body {
    /* background: rgba(255, 255, 255, 0.7); */
}

.nav-link {
    padding: 0.5rem 0.7rem;
}

.nav-sidebar > .nav-item .nav-icon {
    margin-right: .1rem;
}

.breadcrumb-item a {
    color: #6c757d;
}

.breadcrumb-item a:hover {
    color: rgba(0, 0, 0, 0.9);
}

.card-header > .card-tools {
    margin-right: 0;
}

.pagination-sm .page-link {
    padding: 0.25rem 0.75rem;
}

.table td {
    padding: 0.3rem 0.75rem;
    border-bottom: 1px solid #dee2e6;
    border-top: 0;
}

.table thead th {
    padding: 0.5rem 0.75rem;
    /* background: var(--primary); */
    /* color: var(--white); */
}

.table-hover tbody tr:hover {
    background-color: #f8f9fa !important;
}

.table-ntop th {
    border-top: none;
}

.form-control-datatable {
    display: inline;
    width: 70%;
    min-width: 275px;
}

div.dt-container .dt-search input {
    padding: 0.25rem 0.5rem;
    min-width: 275px;
    border: 1px solid #dee2e6;;
}

div.dt-container .dt-search input:focus, div.dt-container .dt-search input:hover {
    border-color: var(--primary);
}

.dt-paging-button {
    font-size: 0.875rem !important;
    padding: 0.25rem 0.75rem !important;
    border: 1px solid #dee2e6 !important;
}

.dt-processing {
    background: rgba(255, 255, 255, 0.7);
    border:1px solid #dee2e6;
}

table.dataTable thead > tr > th.dt-orderable-asc span.dt-column-order:before, table.dataTable thead > tr > th.dt-ordering-asc span.dt-column-order:before, table.dataTable thead > tr > td.dt-orderable-asc span.dt-column-order:before, table.dataTable thead > tr > td.dt-ordering-asc span.dt-column-order:before {
    right: 1em;
    display: inline-flex;
    gap: 1em;
    align-items: center;
    justify-content: center;
    content: "\2191";
}

table.dataTable thead > tr > th.dt-orderable-desc span.dt-column-order:after, table.dataTable thead > tr > th.dt-ordering-desc span.dt-column-order:after, table.dataTable thead > tr > td.dt-orderable-desc span.dt-column-order:after, table.dataTable thead > tr > td.dt-ordering-desc span.dt-column-order:after {
    right: 0.3em;
    display: inline-flex;
    gap: 0.3em;
    align-items: center;
    justify-content: center;
    content: "\2193";
}

div.dt-container .dt-paging .dt-paging-button {
    color: var(--primary) !important;
}

div.dt-container .dt-paging .dt-paging-button.current, div.dt-container .dt-paging .dt-paging-button.current:hover {
    background-color: var(--primary) !important;
    color: var(--white) !important;
}

div.dt-container .dt-paging .dt-paging-button:hover {
    background: var(--primary) !important;
    color: var(--white) !important;
}

div.dt-container .dt-paging .dt-paging-button.disabled, div.dt-container .dt-paging .dt-paging-button.disabled:hover, div.dt-container .dt-paging .dt-paging-button.disabled:active {
    cursor: not-allowed !important;
}

table.dataTable thead > tr > th.dt-orderable-asc:hover, table.dataTable thead > tr > th.dt-orderable-desc:hover,
table.dataTable thead > tr > td.dt-orderable-asc:hover,
table.dataTable thead > tr > td.dt-orderable-desc:hover {
    outline: none;
}

table.dataTable > thead > tr > th, table.dataTable > thead > tr > td {
    border-bottom: 2px solid #dee2e6;
}

div.dt-container.dt-empty-footer tbody > tr:last-child > * {
    border-bottom: 1px solid #dee2e6;
}

.dt-processing > div {
    display: none !important;
}

.tox-tinymce {
    border-radius: 0.25rem !important;
}

.datepicker-dropdown {
    margin-top: 65px !important; 
}

.custom-pushmenu {
    display: none;
}

.breadcrumb-item + .breadcrumb-item::before {
    content: "›";
    font-size: 1.25rem;
    line-height: 1.6rem;
}

.sidebar-mini .nav-legacy > .nav-item .nav-link .nav-icon, 
.sidebar-mini-md .nav-legacy > .nav-item .nav-link .nav-icon, 
.sidebar-mini-xs .nav-legacy > .nav-item .nav-link .nav-icon {
    margin-left: .77rem;
}

.nav-legacy.nav-sidebar > .nav-item > .nav-link.active > .nav-icon {
    margin-left: calc(.77rem - 3px);
}

.sub-title {
    font-size: 60%;
    color: #6c757d;
}

.form-icon .input-group .form-control {
  border-right: 1px solid #ced4da;
  border-radius: 0.25rem !important;
}

.form-icon .input-group .form-control:has(+ .input-group-append) {
    border-right: none;
}

.form-icon .input-group .input-group-append .input-group-text {
    border-left: none;
    border-right: 1px solid #ced4da;
}

.form-icon .input-group .form-control:focus {
  box-shadow: none;
}

.form-icon .input-group .form-control:focus ~ .input-group-prepend .input-group-text,
.form-icon .input-group .form-control:focus ~ .input-group-append .input-group-text {
  border-color: #80bdff;
}

.form-icon .input-group .form-control.is-valid:focus {
  box-shadow: none;
}

.form-icon .input-group .form-control.is-valid ~ .input-group-prepend .input-group-text,
.form-icon .input-group .form-control.is-valid ~ .input-group-append .input-group-text {
  border-color: #28a745;
}

.form-icon .input-group .form-control.is-invalid:focus {
  box-shadow: none;
}

.form-icon .input-group .form-control.is-invalid ~ .input-group-append .input-group-text {
  border-color: #dc3545;
}

.form-icon .input-group .input-group-text {
  background-color: transparent;
  border-bottom-right-radius: 0.25rem;
  border-left: 0;
  border-top-right-radius: 0.25rem;
  color: #777;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.form-icon .input-group .input-group-text-ghost {
    padding: 0.375rem 0.1rem;
}

div:where(.swal2-container) button:where(.swal2-styled) {
    padding: 0.375rem 1.25rem !important;
}

div:where(.swal2-container) h2:where(.swal2-title) {
    font-size: 1.275em !important;
}

div:where(.swal2-container) button:where(.swal2-styled).swal2-confirm {
    background-color: var(--primary) !important;
}

.dropify-message p {
  font-size: 14px;
  line-height: 1.4;
  margin: 0;
}
.card-img-box {
  width: 100%;
  aspect-ratio: 16/9;
  overflow: hidden;
}
.card-img-box img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.add-multi-photo {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 200px;
    border-radius: 0.25rem;
    color: #6c757d;
    border: 1px dashed #dee2e6;
    background: var(--white);
}

@media (max-width: 576px) {
    .login-box, .register-box {
        margin-top: .5rem;
        width: 90%;
    }

    .login-client {
        padding: 0 70px !important;
    }
}

@media (max-width: 767px) {
    .pagination-table > div {
        margin-top: 7px;
        text-align: center;
        justify-content: center !important;
    }
}

@media (min-width: 768px) {
    .w-md-25 {
        width: 25% !important;
    }
    .collapsed-scroll {
        margin-top: 15px;
        padding: 5px 15px 5px 5px;
        height: 550px;
        overflow-y: auto;
    }
}

@media (max-width: 991.98px) {
    .custom-pushmenu {
        display: block;
    }
}

